/******************** (C) COPYRIGHT 2008 PHYTEC Messtechnik ********************
* File Name          : baseboard.h
* Author             : Marc Dzierzawa
* Version            : V 0.1
* Date               : 28.01.08
* Description        : Baseboard IO Functions
********************************************************************************/



#ifndef __PHYCORE_STM32F103_BASEBOARD_H
#define __PHYCORE_STM32F103_BASEBOARD_H


struct phy_GPIO
{
	GPIO_TypeDef* Port;
	u16 Pin;
};

struct phy_AIN
{
	struct phy_GPIO GPIO;
    ADC_TypeDef* ADC;
	u8 ADC_Channel;
};

void Init_GPIO_Structs(void);
void Init_Rel_Out(void);
void Init_Tran_Out(void);
void Init_Digital_In(void);
void Init_Analog_In(void);
void Init_Analog_Out(void);
void Init_Baseboard(void);
u16 Get_Analog_In(u8 numAIn);
void SevenSeg_Write(u8 data1, u8 data2);




#endif
