/******************** (C) COPYRIGHT 2008 PHYTEC Messtechnik ********************
* File Name          : i2cee.h
* Author             : Marc Dzierzawa
* Version            : V 0.1
* Date               : 17.12.08
* Description        : I2C-EEPROM Header
********************************************************************************/

#ifndef __PHYCORE_STM32F103_I2CEE_H
#define __PHYCORE_STM32F103_I2CEE_H

/* Includes ------------------------------------------------------------------*/

void I2C_EE_Init(void);
void I2C_EE_AddrRead(u8* pBuffer, u16 ReadAddr, u16 NumByteToRead);
void I2C_EE_ByteWrite(u8* pBuffer, u16 WriteAddr);
void I2C_EE_WRReady(void);

#endif
